package com.rathravane.drumlin.app.accounts;

/**
 * An API key has a key string, a secret string, and an associated account or user.
 * 
 * @author peter
 */
public interface DrumlinApiKey
{
	/**
	 * Get the API key part.
	 * @return a string
	 */
	String getKey ();

	/**
	 * Get the API key's secret part.
	 * @return a string
	 */
	String getSecret ();

	enum type
	{
		ACCOUNT,
		USER
	}

	/**
	 * Get the type of access (account or user).
	 * @return a type value
	 */
	type getAccessType ();

	/**
	 * Get the account associated with this key.
	 * @return the account, or null if it's a user api key
	 */
	String getAccount ();

	/**
	 * Get the user associated with this key.
	 * @return the user, or null if it's an account api key
	 */
	String getUser ();
}
