/*
 *	Copyright 2006-2013, Rathravane LLC
 *
 *	Licensed under the Apache License, Version 2.0 (the "License");
 *	you may not use this file except in compliance with the License.
 *	You may obtain a copy of the License at
 *	
 *	http://www.apache.org/licenses/LICENSE-2.0
 *	
 *	Unless required by applicable law or agreed to in writing, software
 *	distributed under the License is distributed on an "AS IS" BASIS,
 *	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *	See the License for the specific language governing permissions and
 *	limitations under the License.
 */
package com.rathravane.drumlin.service.standards;

/**
 * Various commonly used MIME type constants.
 * 
 * @author peter@rathravane.com
 */
public class MimeTypes
{
	public static final String kHtml = "text/html";
	public static final String kCss = "text/css";
	public static final String kPlainText = "text/plain";
	public static final String kCsv = "text/csv";

	public static final String kAppGenericBinary = "application/octet-stream";
	public static final String kAppJavascript = "application/javascript";
	public static final String kAppJson = "application/json";
	public static final String kAppXml = "application/xml";

	public static final String kFontEot = "application/vnd.ms-fontobject";
	public static final String kFontWoff = "application/x-font-woff";
	public static final String kFontTtf = "application/x-font-ttf";
	public static final String kFontOtf = "application/font-otf";		// typical, but not standardized (2013-07-10)

	public static final String kSvg = "image/svg+xml";
	public static final String kImagePng = "image/png";
	public static final String kImageGif = "image/gif";
	public static final String kImageJpg = "image/jpg";
	public static final String kImageIco = "image/vnd.microsoft.icon";
}
